%define configfile /etc/updatedb.conf
#
Summary: This modifies the slocate config file, so slocate run's nightly
Name: SL_enable_slocate_cron
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: https://www.scientificlinux.org/
Vendor: Fermilab
Packager: Troy Dawson
BuildArchitectures: noarch
requires: initscripts, sed
%description
This package changes the setting in updatedb.conf from
DAILY_UPDATE=no to DAILY_UPDATE=yes
This will allow the daily slocate update to run.

%files
%post
#
# This script will only sucessfully work on unmodified files
#
if [ -f %{configfile} ] ; then
	cat %{configfile} | sed 's:DAILY_UPDATE=no:DAILY_UPDATE=yes:' > %{configfile}.tmp
	mv %{configfile}.tmp %{configfile}
fi


%postun
if [ "$1" = "0" ] ; then
	if [ -f %{configfile} ] ; then
		cat %{configfile} | sed 's:DAILY_UPDATE=yes:DAILY_UPDATE=no:' > %{configfile}.tmp
		mv %{configfile}.tmp %{configfile}
	fi
fi

%triggerin -- initscripts, slocate
if [ -f %{configfile} ] ; then
	cat %{configfile} | sed 's:DAILY_UPDATE=no:DAILY_UPDATE=yes:' > %{configfile}.tmp
	mv %{configfile}.tmp %{configfile}
fi

%changelog
* Fri Mar 18 2005 Troy Dawson (dawson@fnal.gov) 1.0-1
- Wrote initial rpm
